Index: trunk/SophyaLib/HiStats/hisprof.h
===================================================================
--- trunk/SophyaLib/HiStats/hisprof.h	(revision 926)
+++ trunk/SophyaLib/HiStats/hisprof.h	(revision 943)
@@ -30,16 +30,22 @@
   // Acces a l information
   //! Retourne l'histogramme de profil.
-  inline Histo GetHisto() {if(!Ok) UpdateHisto(); return (Histo) *this;}
+  inline Histo GetHisto()
+               {if(!Ok) UpdateHisto(); return (Histo) *this;}
   //! Retourne le contenu de la moyenne dans le vecteur v
-  inline void GetMean(Vector& v) {if(!Ok) UpdateHisto(); Histo::GetValue(v);}
+  inline void GetMean(TVector<r_8>& v)
+              {if(!Ok) UpdateHisto(); Histo::GetValue(v);}
   //! Retourne le contenu au carre de la dispersion/erreur dans le vecteur v
-  inline void GetError2(Vector& v) {if(!Ok) UpdateHisto(); Histo::GetError2(v);}
+  inline void GetError2(TVector<r_8>& v)
+              {if(!Ok) UpdateHisto(); Histo::GetError2(v);}
   //! Retourne le contenu du bin i
-  inline float operator()(int i) const {if(!Ok) UpdateHisto(); return data[i];}
+  inline float operator()(int i) const
+               {if(!Ok) UpdateHisto(); return data[i];}
   //! Retourne le carre de la dispersion/erreur du bin i
-  inline float Error2(int i) const {if(!Ok) UpdateHisto(); return (float) err2[i];}
+  inline float Error2(int i) const
+               {if(!Ok) UpdateHisto(); return (float) err2[i];}
   //! Retourne la dispersion/erreur du bin i
   inline float Error(int i) const
-         {if(!Ok) UpdateHisto(); return err2[i]>0. ? (float) sqrt(err2[i]) : 0.f;}
+         {if(!Ok) UpdateHisto();
+          return err2[i]>0. ? (float) sqrt(err2[i]) : 0.f;}
 
   // Operators
@@ -62,5 +68,5 @@
   //! Print, voir detail dans Histo::Print
   inline void Print(int dyn=100,float hmin=1.,float hmax=-1.,int pflag=0,int il=1,int ih=-1)
-                           {if(!Ok) UpdateHisto(); Histo::Print(dyn,hmin,hmax,pflag,il,ih);}
+              {if(!Ok) UpdateHisto(); Histo::Print(dyn,hmin,hmax,pflag,il,ih);}
 
 protected:
Index: trunk/SophyaLib/HiStats/histos.cc
===================================================================
--- trunk/SophyaLib/HiStats/histos.cc	(revision 926)
+++ trunk/SophyaLib/HiStats/histos.cc	(revision 943)
@@ -1,4 +1,4 @@
 //
-// $Id: histos.cc,v 1.3 2000-04-13 18:38:32 ansari Exp $
+// $Id: histos.cc,v 1.4 2000-04-15 11:06:27 ansari Exp $
 //
 
@@ -387,5 +387,5 @@
   Remplissage d'un tableau avec la valeur des abscisses
 */
-void Histo::GetAbsc(Vector &v)
+void Histo::GetAbsc(TVector<r_8> &v)
 {
 v.Realloc(bins);
@@ -397,5 +397,5 @@
   Remplissage d'un tableau avec la valeur du contenu
 */
-void Histo::GetValue(Vector &v)
+void Histo::GetValue(TVector<r_8> &v)
 {
 v.Realloc(bins);
@@ -407,5 +407,5 @@
   Remplissage d'un tableau avec la valeur des erreurs au carre
 */
-void Histo::GetError2(Vector &v)
+void Histo::GetError2(TVector<r_8> &v)
 {
 v.Realloc(bins);
@@ -418,5 +418,5 @@
   Remplissage d'un tableau avec la valeur des erreurs
 */
-void Histo::GetError(Vector &v)
+void Histo::GetError(TVector<r_8> &v)
 {
 v.Realloc(bins);
@@ -430,5 +430,5 @@
   Remplissage du contenu de l'histo avec les valeurs d'un vecteur
 */
-void Histo::PutValue(Vector &v, int ierr)
+void Histo::PutValue(TVector<r_8> &v, int ierr)
 {
 if(v.NElts()<bins) THROW(sizeMismatchErr);
@@ -443,5 +443,5 @@
   Addition du contenu de l'histo avec les valeurs d'un vecteur
 */
-void Histo::PutValueAdd(Vector &v, int ierr)
+void Histo::PutValueAdd(TVector<r_8> &v, int ierr)
 {
 if(v.NElts()<bins) THROW(sizeMismatchErr);
@@ -456,5 +456,5 @@
   Remplissage des erreurs au carre de l'histo avec les valeurs d'un vecteur
 */
-void Histo::PutError2(Vector &v)
+void Histo::PutError2(TVector<r_8> &v)
 {
 if(v.NElts()<bins) THROW(sizeMismatchErr);
@@ -467,5 +467,5 @@
   Addition des erreurs au carre de l'histo avec les valeurs d'un vecteur
 */
-void Histo::PutError2Add(Vector &v)
+void Histo::PutError2Add(TVector<r_8> &v)
 {
 if(v.NElts()<bins) THROW(sizeMismatchErr);
@@ -478,5 +478,5 @@
   Remplissage des erreurs de l'histo avec les valeurs d'un vecteur
 */
-void Histo::PutError(Vector &v)
+void Histo::PutError(TVector<r_8> &v)
 {
 if(v.NElts()<bins) THROW(sizeMismatchErr);
@@ -1065,8 +1065,8 @@
   }
 
-  Vector xFit(nLowHigh);
-  Vector yFit(nLowHigh);
-  Vector e2Fit(nLowHigh);
-  Vector errcoef(1);
+  TVector<r_8> xFit(nLowHigh);
+  TVector<r_8> yFit(nLowHigh);
+  TVector<r_8> e2Fit(nLowHigh);
+  TVector<r_8> errcoef(1);
   int ii = 0;
   for (int j=iLow; j<=iHigh; j++) {
@@ -1385,5 +1385,5 @@
 if(f==NULL)
   throw(NullPtrError("Histo::FitResidus: NULL pointer\n"));
-Vector par = gfit.GetParm();
+TVector<r_8> par = gfit.GetParm();
 Histo h(*this);
 for(int i=0;i<NBins();i++) {
@@ -1404,5 +1404,5 @@
 if(f==NULL)
   throw(NullPtrError("Histo::FitFunction: NULL pointer\n"));
-Vector par = gfit.GetParm();
+TVector<r_8> par = gfit.GetParm();
 Histo h(*this);
 for(int i=0;i<NBins();i++) {
Index: trunk/SophyaLib/HiStats/histos.h
===================================================================
--- trunk/SophyaLib/HiStats/histos.h	(revision 926)
+++ trunk/SophyaLib/HiStats/histos.h	(revision 943)
@@ -1,5 +1,5 @@
 // This may look like C code, but it is really -*- C++ -*-
 //
-// $Id: histos.h,v 1.4 2000-04-13 18:38:33 ansari Exp $
+// $Id: histos.h,v 1.5 2000-04-15 11:06:28 ansari Exp $
 //
 
@@ -67,13 +67,13 @@
 
   // get/put dans/depuis un vector
-  void GetAbsc(Vector& v);
-  void GetValue(Vector& v);
-  void GetError2(Vector& v);
-  void GetError(Vector& v);
-  void PutValue(Vector& v, int ierr=0);
-  void PutValueAdd(Vector &v, int ierr=0);
-  void PutError2(Vector& v);
-  void PutError2Add(Vector& v);
-  void PutError(Vector& v);
+  void GetAbsc(TVector<r_8>& v);
+  void GetValue(TVector<r_8>& v);
+  void GetError2(TVector<r_8>& v);
+  void GetError(TVector<r_8>& v);
+  void PutValue(TVector<r_8>& v, int ierr=0);
+  void PutValueAdd(TVector<r_8> &v, int ierr=0);
+  void PutError2(TVector<r_8>& v);
+  void PutError2Add(TVector<r_8>& v);
+  void PutError(TVector<r_8>& v);
 
   // INLINES
Index: trunk/SophyaLib/HiStats/histos2.cc
===================================================================
--- trunk/SophyaLib/HiStats/histos2.cc	(revision 926)
+++ trunk/SophyaLib/HiStats/histos2.cc	(revision 943)
@@ -603,5 +603,5 @@
   Remplissage d'un tableau avec les valeurs des abscisses.
 */
-void Histo2D::GetXCoor(Vector &v)
+void Histo2D::GetXCoor(TVector<r_8> &v)
 {
 float x,y;
@@ -614,5 +614,5 @@
   Remplissage d'un tableau avec les valeurs des ordonnees.
 */
-void Histo2D::GetYCoor(Vector &v)
+void Histo2D::GetYCoor(TVector<r_8> &v)
 {
 float x,y;
@@ -625,5 +625,5 @@
   Remplissage d'un tableau avec les valeurs du contenu.
 */
-void Histo2D::GetValue(Matrix &v)
+void Histo2D::GetValue(TMatrix<r_8> &v)
 {
 v.Realloc(nx,ny);
@@ -636,5 +636,5 @@
   Remplissage d'un tableau avec les valeurs du carre des erreurs.
 */
-void Histo2D::GetError2(Matrix &v)
+void Histo2D::GetError2(TMatrix<r_8> &v)
 {
 int i,j;
@@ -649,5 +649,5 @@
   Remplissage d'un tableau avec les valeurs des erreurs.
 */
-void Histo2D::GetError(Matrix &v)
+void Histo2D::GetError(TMatrix<r_8> &v)
 {
 int i,j;
@@ -663,5 +663,5 @@
   Remplissage du contenu de l'histo avec les valeurs d'un tableau.
 */
-void Histo2D::PutValue(Matrix &v, int ierr)
+void Histo2D::PutValue(TMatrix<r_8> &v, int ierr)
 {
 int i,j;
@@ -677,5 +677,5 @@
   Addition du contenu de l'histo avec les valeurs d'un tableau.
 */
-void Histo2D::PutValueAdd(Matrix &v, int ierr)
+void Histo2D::PutValueAdd(TMatrix<r_8> &v, int ierr)
 {
 int i,j;
@@ -692,5 +692,5 @@
   avec les valeurs d'un tableau.
 */
-void Histo2D::PutError2(Matrix &v)
+void Histo2D::PutError2(TMatrix<r_8> &v)
 {
 int i,j;
@@ -705,5 +705,5 @@
   avec les valeurs d'un tableau.
 */
-void Histo2D::PutError2Add(Matrix &v)
+void Histo2D::PutError2Add(TMatrix<r_8> &v)
 {
 int i,j;
@@ -718,5 +718,5 @@
   Remplissage des erreurs de l'histo avec les valeurs d'un tableau.
 */
-void Histo2D::PutError(Matrix &v)
+void Histo2D::PutError(TMatrix<r_8> &v)
 {
 int i,j;
@@ -1071,5 +1071,5 @@
 if(f==NULL)
   throw(NullPtrError("Histo2D::FitResidus: NULL pointer\n"));
-Vector par = gfit.GetParm();
+TVector<r_8> par = gfit.GetParm();
 Histo2D h2(*this);
 for(int i=0;i<NBinX();i++) for(int j=0;j<NBinY();j++) {
@@ -1092,5 +1092,5 @@
 if(f==NULL)
   throw(NullPtrError("Histo2D::FitFunction: NULL pointer\n"));
-Vector par = gfit.GetParm();
+TVector<r_8> par = gfit.GetParm();
 Histo2D h2(*this);
 for(int i=0;i<NBinX();i++) for(int j=0;j<NBinY();j++) {
Index: trunk/SophyaLib/HiStats/histos2.h
===================================================================
--- trunk/SophyaLib/HiStats/histos2.h	(revision 926)
+++ trunk/SophyaLib/HiStats/histos2.h	(revision 943)
@@ -64,14 +64,14 @@
 
   // get/put dans/depuis une matrice / vector
-  void GetXCoor(Vector& v);
-  void GetValue(Matrix &v);
-  void GetYCoor(Vector& v);
-  void GetError2(Matrix& v);
-  void GetError(Matrix& v);
-  void PutValue(Matrix& v, int ierr=0);
-  void PutValueAdd(Matrix& v, int ierr=0);
-  void PutError2(Matrix& v);
-  void PutError2Add(Matrix& v);
-  void PutError(Matrix& v);
+  void GetXCoor(TVector<r_8>& v);
+  void GetValue(TMatrix<r_8> &v);
+  void GetYCoor(TVector<r_8>& v);
+  void GetError2(TMatrix<r_8>& v);
+  void GetError(TMatrix<r_8>& v);
+  void PutValue(TMatrix<r_8>& v, int ierr=0);
+  void PutValueAdd(TMatrix<r_8>& v, int ierr=0);
+  void PutError2(TMatrix<r_8>& v);
+  void PutError2Add(TMatrix<r_8>& v);
+  void PutError(TMatrix<r_8>& v);
 
   // INLINES