Index: trunk/SophyaLib/TArray/sopemtx.h
===================================================================
--- trunk/SophyaLib/TArray/sopemtx.h	(revision 939)
+++ trunk/SophyaLib/TArray/sopemtx.h	(revision 947)
@@ -22,5 +22,5 @@
   Class for simple operation on TMatrix
   \sa TMatrix TArray
-  */
+*/
 
 //! Class for simple operation on TMatrix
@@ -48,6 +48,8 @@
 //------------------------------------------------------------
 
-//! Solve A*C = B for C in place and return determinant
-/*! \ingroup TArray \fn LinSolveInPlace */
+/*! \ingroup TArray 
+    \fn LinSolveInPlace
+    \brief  Solve A*C = B for C in place and return determinant
+*/
 inline r_4 LinSolveInPlace(TMatrix<r_4>& a, TVector<r_4>& b)
 {
@@ -57,6 +59,8 @@
 }
 
-//! Solve A*X = B in place and return determinant
-/*! \ingroup TArray \fn LinSolveInPlace */
+/*! \ingroup TArray 
+    \fn LinSolveInPlace 
+    \brief  Solve A*X = B in place and return determinant 
+*/
 inline r_8 LinSolveInPlace(TMatrix<r_8>& a, TVector<r_8>& b)
 {
@@ -66,6 +70,7 @@
 }
 
-//! Solve A*X = B in place and return determinant
-/*! \ingroup TArray \fn LinSolveInPlace */
+/*! \ingroup TArray 
+    \fn LinSolveInPlace 
+    \brief Solve A*X = B in place and return determinant */
 inline complex<r_4> LinSolveInPlace(TMatrix< complex<r_4> >& a, TVector< complex<r_4> >& b)
 {
@@ -75,6 +80,8 @@
 }
 
-//! Solve A*X = B in place and return determinant
-/*! \ingroup TArray \fn LinSolveInPlace */
+/*! \ingroup TArray 
+    \fn LinSolveInPlace 
+    \brief  Solve A*X = B in place and return determinant
+*/
 inline complex<r_8> LinSolveInPlace(TMatrix< complex<r_8> >& a, TVector< complex<r_8> >& b)
 {
@@ -88,6 +95,9 @@
 //------------------------------------------------------------
 
-//! Solve A*C = B and return C and determinant
-/*! \ingroup TArray \fn LinSolve */
+/*! \ingroup TArray 
+    \fn LinSolve 
+    \brief Solve A*C = B and return C and determinant
+*/
+
 inline r_4 LinSolve(const TMatrix<r_4>& a, const TVector<r_4>& b, TVector<r_4>& c) {
   if(a.NCols()!=b.NRows() || a.NCols()!=a.NRows())
@@ -97,6 +107,8 @@
 }
 
-//! Solve A*C = B and return C and determinant
-/*! \ingroup TArray \fn LinSolve */
+/*! \ingroup TArray 
+    \fn LinSolve 
+    \brief Solve A*C = B and return C and determinant
+*/
 inline r_8 LinSolve(const TMatrix<r_8>& a, const TVector<r_8>& b, TVector<r_8>& c) {
   if(a.NCols()!=b.NRows() || a.NCols()!=a.NRows())
@@ -106,6 +118,8 @@
 }
 
-//! Solve A*C = B and return C and determinant
-/*! \ingroup TArray \fn LinSolve */
+/*! \ingroup TArray 
+    \fn LinSolve 
+    \brief Solve A*C = B and return C and determinant
+*/
 inline complex<r_4> LinSolve(const TMatrix< complex<r_4> >& a, const TVector< complex<r_4> >& b, TVector< complex<r_4> >& c) {
   if(a.NCols()!=b.NRows() || a.NCols()!=a.NRows())
@@ -115,6 +129,8 @@
 }
 
-//! Solve A*C = B and return C and determinant
-/*! \ingroup TArray \fn LinSolve */
+/*! \ingroup TArray 
+    \fn LinSolve 
+    \brief  Solve A*C = B and return C and determinant
+*/
 inline complex<r_8> LinSolve(const TMatrix< complex<r_8> >& a, const TVector< complex<r_8> >& b, TVector< complex<r_8> >& c) {
   if(a.NCols()!=b.NRows() || a.NCols()!=a.NRows())
@@ -136,18 +152,26 @@
 namespace SOPHYA {
 
-//! To inverse a TMatrix
-/*! \ingroup TArray \fn Inverse */
+/*! \ingroup TArray 
+    \fn Inverse 
+    \brief To inverse a TMatrix
+*/
 inline TMatrix<r_4> Inverse(TMatrix<r_4> const & A)
   {return SimpleMatrixOperation<r_4>::Inverse(A);}
-//! To inverse a TMatrix
-/*! \ingroup TArray \fn Inverse */
+/*! \ingroup TArray 
+    \fn Inverse 
+    \brief To inverse a TMatrix
+*/
 inline TMatrix<r_8> Inverse(TMatrix<r_8> const & A)
   {return SimpleMatrixOperation<r_8>::Inverse(A);}
-//! To inverse a TMatrix
-/*! \ingroup TArray \fn Inverse */
+/*! \ingroup TArray 
+    \fn Inverse 
+    \brief To inverse a TMatrix (complex numbers)
+*/
 inline TMatrix< complex<r_4> > Inverse(TMatrix< complex<r_4> > const & A)
   {return SimpleMatrixOperation< complex<r_4> >::Inverse(A);}
-//! To inverse a TMatrix
-/*! \ingroup TArray \fn Inverse */
+/*! \ingroup TArray 
+    \fn Inverse 
+    \brief To inverse a TMatrix (complex numbers)
+*/
 inline TMatrix< complex<r_8> > Inverse(TMatrix< complex<r_8> > const & A)
   {return SimpleMatrixOperation< complex<r_8> >::Inverse(A);}
@@ -171,5 +195,5 @@
   Class for linear fitting
   \sa TMatrix TArray
-  */
+*/
 
 //!  Class for linear fitting