Index: trunk/SophyaProg/PMixer/Makefile
===================================================================
--- trunk/SophyaProg/PMixer/Makefile	(revision 960)
+++ trunk/SophyaProg/PMixer/Makefile	(revision 961)
@@ -18,5 +18,5 @@
 endif
 LDLIBS := $(LIBS) $(LDLIBS)
-PROGS = $(EXE)skymixer $(EXE)extractRS $(EXE)tgrsr $(EXE)tgsky $(EXE)easyTest
+PROGS = $(EXE)skymixer $(EXE)extractRS $(EXE)tgrsr $(EXE)tgsky $(EXE)easyTest $(EXE)Sph2Sph
  
 all: $(PROGS)
@@ -51,4 +51,71 @@
 	$(LINK.cc) $^ $(LOADLIBES) $(LDLIBS) -o $@ 
   
+Sph2Sph: $(EXE)Sph2Sph
+	
+$(EXE)Sph2Sph: $(OBJ)Sph2Sph.o
+	$(LINK.cc) $^ $(LOADLIBES) $(LDLIBS) -o $@ 
+  
+$(OBJ)Sph2Sph.o: Sph2Sph.cc pmixer.h \
+ $(INC)machdefs.h \
+ $(INC)tmatrix.h \
+ $(INC)tarray.h \
+ $(INC)basarr.h \
+ $(INC)anydataobj.h \
+ $(INC)dvlist.h \
+ $(INC)objfio.h \
+ $(INC)ppersist.h \
+ $(INC)pexceptions.h \
+ $(INC)gnumd5.h \
+ $(INC)ndatablock.h \
+ $(INC)utilarr.h \
+ $(INC)tvector.h \
+ $(INC)fioarr.h \
+ $(INC)vector3d.h \
+ $(INC)longlat.h \
+ $(INC)utilgeom.h \
+ $(INC)srandgen.h \
+ $(INC)timing.h \
+ $(INC)sambainit.h \
+ $(INC)skymapinit.h \
+ $(INC)sophyainit.h \
+ $(INC)ntoolsinit.h \
+ $(INC)tarrinit.h \
+ $(INC)datacards.h \
+ $(INC)fitsioserver.h \
+ $(INC)skymap.h \
+ $(INC)spherethetaphi.h \
+ $(INC)sphericalmap.h \
+ $(INC)smathconst.h \
+ $(INC)pixelmap.h \
+ $(INC)spherepos.h \
+ $(INC)unitvector.h \
+ $(INC)spherehealpix.h \
+ $(INC)localmap.h \
+ $(INC)fiospherethetaphi.h \
+ $(INC)fiospherehealpix.h \
+ $(INC)fiolocalmap.h \
+ $(INC)ntuple.h \
+ $(INC)ntupintf.h \
+ $(INC)cimage.h \
+ $(INC)rzimage.h \
+ $(INC)rzvect.h \
+ $(INC)perrors.h \
+ $(INC)datatypes.h \
+ $(INC)fitsspherehealpix.h \
+ $(INC)fitsfile.h \
+ $(INC)fitstarray.h \
+ $(INC)radspecvector.h \
+ $(INC)radspec.h \
+ $(INC)specresp.h \
+ $(INC)blackbody.h \
+ $(INC)convtools.h \
+ $(INC)derivblackbody.h \
+ $(INC)nupower.h \
+ $(INC)squarefilt.h \
+ $(INC)trianglefilt.h \
+ $(INC)specrespvector.h \
+ $(INC)gaussfilt.h \
+ $(INC)bruit.h \
+ $(INC)mapoperation.h
 $(OBJ)easyTest.o: easyTest.cc $(INC)blackbody.h \
  $(INC)radspec.h \
@@ -73,210 +140,248 @@
  $(INC)gaussfilt.h \
  $(INC)trianglefilt.h
-$(OBJ)extractRS.o: extractRS.cc $(INC)machdefs.h \
- $(INC)tmatrix.h \
- $(INC)tarray.h \
- $(INC)basarr.h \
- $(INC)anydataobj.h \
- $(INC)dvlist.h \
- $(INC)objfio.h \
- $(INC)ppersist.h \
- $(INC)pexceptions.h \
- $(INC)gnumd5.h \
- $(INC)ndatablock.h \
- $(INC)utilarr.h \
- $(INC)tvector.h \
- $(INC)fioarr.h \
- $(INC)vector3d.h \
- $(INC)longlat.h \
- $(INC)utilgeom.h \
- $(INC)srandgen.h \
- $(INC)timing.h \
- $(INC)sambainit.h \
- $(INC)skymapinit.h \
- $(INC)sophyainit.h \
- $(INC)ntoolsinit.h \
- $(INC)tarrinit.h \
- $(INC)datacards.h \
- $(INC)fitsioserver.h \
- $(INC)skymap.h \
- $(INC)spherethetaphi.h \
- $(INC)sphericalmap.h \
- $(INC)smathconst.h \
- $(INC)pixelmap.h \
- $(INC)spherepos.h \
- $(INC)unitvector.h \
- $(INC)spherehealpix.h \
- $(INC)localmap.h \
- $(INC)fiospherethetaphi.h \
- $(INC)fiospherehealpix.h \
- $(INC)fiolocalmap.h \
- $(INC)ntuple.h \
- $(INC)ntupintf.h \
- $(INC)cimage.h \
- $(INC)rzimage.h \
- $(INC)rzvect.h \
- $(INC)perrors.h \
- $(INC)datatypes.h \
- $(INC)fitsspherehealpix.h \
- $(INC)fitsfile.h \
- $(INC)radspecvector.h \
- $(INC)radspec.h \
- $(INC)specresp.h \
- $(INC)blackbody.h \
- $(INC)convtools.h \
- $(INC)nupower.h \
- $(INC)squarefilt.h \
- $(INC)trianglefilt.h \
- $(INC)specrespvector.h \
- $(INC)gaussfilt.h \
- $(INC)fitstarray.h
-$(OBJ)skymixer.o: skymixer.cc $(INC)machdefs.h \
- $(INC)timing.h \
- $(INC)sambainit.h \
- $(INC)skymapinit.h \
- $(INC)sophyainit.h \
- $(INC)ntoolsinit.h \
- $(INC)tarrinit.h \
- $(INC)pexceptions.h \
- $(INC)datacards.h \
- $(INC)fitsioserver.h \
- $(INC)tarray.h \
- $(INC)basarr.h \
- $(INC)anydataobj.h \
- $(INC)dvlist.h \
- $(INC)objfio.h \
- $(INC)ppersist.h \
- $(INC)gnumd5.h \
- $(INC)ndatablock.h \
- $(INC)utilarr.h \
- $(INC)tmatrix.h \
- $(INC)tvector.h \
- $(INC)skymap.h \
- $(INC)spherethetaphi.h \
- $(INC)sphericalmap.h \
- $(INC)smathconst.h \
- $(INC)pixelmap.h \
- $(INC)spherepos.h \
- $(INC)unitvector.h \
- $(INC)vector3d.h \
- $(INC)longlat.h \
- $(INC)utilgeom.h \
- $(INC)spherehealpix.h \
- $(INC)localmap.h \
- $(INC)fiospherethetaphi.h \
- $(INC)fiospherehealpix.h \
- $(INC)fiolocalmap.h \
- $(INC)ntuple.h \
- $(INC)ntupintf.h \
- $(INC)cimage.h \
- $(INC)rzimage.h \
- $(INC)rzvect.h \
- $(INC)perrors.h \
- $(INC)datatypes.h \
- $(INC)fitsspherehealpix.h \
- $(INC)fitsfile.h \
- $(INC)radspecvector.h \
- $(INC)radspec.h \
- $(INC)specresp.h \
- $(INC)blackbody.h \
- $(INC)convtools.h \
- $(INC)derivblackbody.h \
- $(INC)nupower.h \
- $(INC)squarefilt.h \
- $(INC)trianglefilt.h \
- $(INC)specrespvector.h \
- $(INC)gaussfilt.h
-$(OBJ)tgrsr.o: tgrsr.cc $(INC)machdefs.h \
- $(INC)tvector.h \
- $(INC)tmatrix.h \
- $(INC)tarray.h \
- $(INC)basarr.h \
- $(INC)anydataobj.h \
- $(INC)dvlist.h \
- $(INC)objfio.h \
- $(INC)ppersist.h \
- $(INC)pexceptions.h \
- $(INC)gnumd5.h \
- $(INC)ndatablock.h \
- $(INC)utilarr.h \
- $(INC)cimage.h \
- $(INC)rzimage.h \
- $(INC)rzvect.h \
- $(INC)perrors.h \
- $(INC)datatypes.h \
- $(INC)sambainit.h \
- $(INC)skymapinit.h \
- $(INC)sophyainit.h \
- $(INC)ntoolsinit.h \
- $(INC)tarrinit.h \
- $(INC)radspecvector.h \
- $(INC)radspec.h \
- $(INC)specresp.h \
- $(INC)specrespvector.h \
- $(INC)nupower.h \
- $(INC)convtools.h \
- $(INC)gaussfilt.h \
- $(INC)fitsioserver.h \
- $(INC)skymap.h \
- $(INC)spherethetaphi.h \
- $(INC)sphericalmap.h \
- $(INC)smathconst.h \
- $(INC)pixelmap.h \
- $(INC)spherepos.h \
- $(INC)unitvector.h \
- $(INC)vector3d.h \
- $(INC)longlat.h \
- $(INC)utilgeom.h \
- $(INC)spherehealpix.h \
- $(INC)localmap.h \
- $(INC)fiospherethetaphi.h \
- $(INC)fiospherehealpix.h \
- $(INC)fiolocalmap.h \
- $(INC)ntuple.h \
- $(INC)ntupintf.h \
- $(INC)timing.h
-$(OBJ)tgsky.o: tgsky.cc $(INC)machdefs.h \
- $(INC)sambainit.h \
- $(INC)skymapinit.h \
- $(INC)sophyainit.h \
- $(INC)ntoolsinit.h \
- $(INC)tarrinit.h \
- $(INC)spherehealpix.h \
- $(INC)sphericalmap.h \
- $(INC)smathconst.h \
- $(INC)pixelmap.h \
- $(INC)ppersist.h \
- $(INC)pexceptions.h \
- $(INC)gnumd5.h \
- $(INC)dvlist.h \
- $(INC)objfio.h \
- $(INC)anydataobj.h \
- $(INC)spherepos.h \
- $(INC)unitvector.h \
- $(INC)vector3d.h \
- $(INC)longlat.h \
- $(INC)utilgeom.h \
- $(INC)tvector.h \
- $(INC)tmatrix.h \
- $(INC)tarray.h \
- $(INC)basarr.h \
- $(INC)ndatablock.h \
- $(INC)utilarr.h \
- $(INC)fiospherehealpix.h \
- $(INC)fitsioserver.h \
- $(INC)skymap.h \
- $(INC)spherethetaphi.h \
- $(INC)localmap.h \
- $(INC)fiospherethetaphi.h \
- $(INC)fiolocalmap.h \
- $(INC)ntuple.h \
- $(INC)ntupintf.h \
- $(INC)cimage.h \
- $(INC)rzimage.h \
- $(INC)rzvect.h \
- $(INC)perrors.h \
- $(INC)datatypes.h \
- $(INC)nbrandom.h \
- $(INC)srandgen.h \
- $(INC)bruit.h \
- $(INC)timing.h
+$(OBJ)extractRS.o: extractRS.cc pmixer.h \
+ $(INC)machdefs.h \
+ $(INC)tmatrix.h \
+ $(INC)tarray.h \
+ $(INC)basarr.h \
+ $(INC)anydataobj.h \
+ $(INC)dvlist.h \
+ $(INC)objfio.h \
+ $(INC)ppersist.h \
+ $(INC)pexceptions.h \
+ $(INC)gnumd5.h \
+ $(INC)ndatablock.h \
+ $(INC)utilarr.h \
+ $(INC)tvector.h \
+ $(INC)fioarr.h \
+ $(INC)vector3d.h \
+ $(INC)longlat.h \
+ $(INC)utilgeom.h \
+ $(INC)srandgen.h \
+ $(INC)timing.h \
+ $(INC)sambainit.h \
+ $(INC)skymapinit.h \
+ $(INC)sophyainit.h \
+ $(INC)ntoolsinit.h \
+ $(INC)tarrinit.h \
+ $(INC)datacards.h \
+ $(INC)fitsioserver.h \
+ $(INC)skymap.h \
+ $(INC)spherethetaphi.h \
+ $(INC)sphericalmap.h \
+ $(INC)smathconst.h \
+ $(INC)pixelmap.h \
+ $(INC)spherepos.h \
+ $(INC)unitvector.h \
+ $(INC)spherehealpix.h \
+ $(INC)localmap.h \
+ $(INC)fiospherethetaphi.h \
+ $(INC)fiospherehealpix.h \
+ $(INC)fiolocalmap.h \
+ $(INC)ntuple.h \
+ $(INC)ntupintf.h \
+ $(INC)cimage.h \
+ $(INC)rzimage.h \
+ $(INC)rzvect.h \
+ $(INC)perrors.h \
+ $(INC)datatypes.h \
+ $(INC)fitsspherehealpix.h \
+ $(INC)fitsfile.h \
+ $(INC)fitstarray.h \
+ $(INC)radspecvector.h \
+ $(INC)radspec.h \
+ $(INC)specresp.h \
+ $(INC)blackbody.h \
+ $(INC)convtools.h \
+ $(INC)derivblackbody.h \
+ $(INC)nupower.h \
+ $(INC)squarefilt.h \
+ $(INC)trianglefilt.h \
+ $(INC)specrespvector.h \
+ $(INC)gaussfilt.h \
+ $(INC)bruit.h \
+ $(INC)mapoperation.h
+$(OBJ)skymixer.o: skymixer.cc pmixer.h \
+ $(INC)machdefs.h \
+ $(INC)tmatrix.h \
+ $(INC)tarray.h \
+ $(INC)basarr.h \
+ $(INC)anydataobj.h \
+ $(INC)dvlist.h \
+ $(INC)objfio.h \
+ $(INC)ppersist.h \
+ $(INC)pexceptions.h \
+ $(INC)gnumd5.h \
+ $(INC)ndatablock.h \
+ $(INC)utilarr.h \
+ $(INC)tvector.h \
+ $(INC)fioarr.h \
+ $(INC)vector3d.h \
+ $(INC)longlat.h \
+ $(INC)utilgeom.h \
+ $(INC)srandgen.h \
+ $(INC)timing.h \
+ $(INC)sambainit.h \
+ $(INC)skymapinit.h \
+ $(INC)sophyainit.h \
+ $(INC)ntoolsinit.h \
+ $(INC)tarrinit.h \
+ $(INC)datacards.h \
+ $(INC)fitsioserver.h \
+ $(INC)skymap.h \
+ $(INC)spherethetaphi.h \
+ $(INC)sphericalmap.h \
+ $(INC)smathconst.h \
+ $(INC)pixelmap.h \
+ $(INC)spherepos.h \
+ $(INC)unitvector.h \
+ $(INC)spherehealpix.h \
+ $(INC)localmap.h \
+ $(INC)fiospherethetaphi.h \
+ $(INC)fiospherehealpix.h \
+ $(INC)fiolocalmap.h \
+ $(INC)ntuple.h \
+ $(INC)ntupintf.h \
+ $(INC)cimage.h \
+ $(INC)rzimage.h \
+ $(INC)rzvect.h \
+ $(INC)perrors.h \
+ $(INC)datatypes.h \
+ $(INC)fitsspherehealpix.h \
+ $(INC)fitsfile.h \
+ $(INC)fitstarray.h \
+ $(INC)radspecvector.h \
+ $(INC)radspec.h \
+ $(INC)specresp.h \
+ $(INC)blackbody.h \
+ $(INC)convtools.h \
+ $(INC)derivblackbody.h \
+ $(INC)nupower.h \
+ $(INC)squarefilt.h \
+ $(INC)trianglefilt.h \
+ $(INC)specrespvector.h \
+ $(INC)gaussfilt.h \
+ $(INC)bruit.h \
+ $(INC)mapoperation.h
+$(OBJ)tgrsr.o: tgrsr.cc pmixer.h $(INC)machdefs.h \
+ $(INC)tmatrix.h \
+ $(INC)tarray.h \
+ $(INC)basarr.h \
+ $(INC)anydataobj.h \
+ $(INC)dvlist.h \
+ $(INC)objfio.h \
+ $(INC)ppersist.h \
+ $(INC)pexceptions.h \
+ $(INC)gnumd5.h \
+ $(INC)ndatablock.h \
+ $(INC)utilarr.h \
+ $(INC)tvector.h \
+ $(INC)fioarr.h \
+ $(INC)vector3d.h \
+ $(INC)longlat.h \
+ $(INC)utilgeom.h \
+ $(INC)srandgen.h \
+ $(INC)timing.h \
+ $(INC)sambainit.h \
+ $(INC)skymapinit.h \
+ $(INC)sophyainit.h \
+ $(INC)ntoolsinit.h \
+ $(INC)tarrinit.h \
+ $(INC)datacards.h \
+ $(INC)fitsioserver.h \
+ $(INC)skymap.h \
+ $(INC)spherethetaphi.h \
+ $(INC)sphericalmap.h \
+ $(INC)smathconst.h \
+ $(INC)pixelmap.h \
+ $(INC)spherepos.h \
+ $(INC)unitvector.h \
+ $(INC)spherehealpix.h \
+ $(INC)localmap.h \
+ $(INC)fiospherethetaphi.h \
+ $(INC)fiospherehealpix.h \
+ $(INC)fiolocalmap.h \
+ $(INC)ntuple.h \
+ $(INC)ntupintf.h \
+ $(INC)cimage.h \
+ $(INC)rzimage.h \
+ $(INC)rzvect.h \
+ $(INC)perrors.h \
+ $(INC)datatypes.h \
+ $(INC)fitsspherehealpix.h \
+ $(INC)fitsfile.h \
+ $(INC)fitstarray.h \
+ $(INC)radspecvector.h \
+ $(INC)radspec.h \
+ $(INC)specresp.h \
+ $(INC)blackbody.h \
+ $(INC)convtools.h \
+ $(INC)derivblackbody.h \
+ $(INC)nupower.h \
+ $(INC)squarefilt.h \
+ $(INC)trianglefilt.h \
+ $(INC)specrespvector.h \
+ $(INC)gaussfilt.h \
+ $(INC)bruit.h \
+ $(INC)mapoperation.h
+$(OBJ)tgsky.o: tgsky.cc pmixer.h $(INC)machdefs.h \
+ $(INC)tmatrix.h \
+ $(INC)tarray.h \
+ $(INC)basarr.h \
+ $(INC)anydataobj.h \
+ $(INC)dvlist.h \
+ $(INC)objfio.h \
+ $(INC)ppersist.h \
+ $(INC)pexceptions.h \
+ $(INC)gnumd5.h \
+ $(INC)ndatablock.h \
+ $(INC)utilarr.h \
+ $(INC)tvector.h \
+ $(INC)fioarr.h \
+ $(INC)vector3d.h \
+ $(INC)longlat.h \
+ $(INC)utilgeom.h \
+ $(INC)srandgen.h \
+ $(INC)timing.h \
+ $(INC)sambainit.h \
+ $(INC)skymapinit.h \
+ $(INC)sophyainit.h \
+ $(INC)ntoolsinit.h \
+ $(INC)tarrinit.h \
+ $(INC)datacards.h \
+ $(INC)fitsioserver.h \
+ $(INC)skymap.h \
+ $(INC)spherethetaphi.h \
+ $(INC)sphericalmap.h \
+ $(INC)smathconst.h \
+ $(INC)pixelmap.h \
+ $(INC)spherepos.h \
+ $(INC)unitvector.h \
+ $(INC)spherehealpix.h \
+ $(INC)localmap.h \
+ $(INC)fiospherethetaphi.h \
+ $(INC)fiospherehealpix.h \
+ $(INC)fiolocalmap.h \
+ $(INC)ntuple.h \
+ $(INC)ntupintf.h \
+ $(INC)cimage.h \
+ $(INC)rzimage.h \
+ $(INC)rzvect.h \
+ $(INC)perrors.h \
+ $(INC)datatypes.h \
+ $(INC)fitsspherehealpix.h \
+ $(INC)fitsfile.h \
+ $(INC)fitstarray.h \
+ $(INC)radspecvector.h \
+ $(INC)radspec.h \
+ $(INC)specresp.h \
+ $(INC)blackbody.h \
+ $(INC)convtools.h \
+ $(INC)derivblackbody.h \
+ $(INC)nupower.h \
+ $(INC)squarefilt.h \
+ $(INC)trianglefilt.h \
+ $(INC)specrespvector.h \
+ $(INC)gaussfilt.h \
+ $(INC)bruit.h \
+ $(INC)mapoperation.h
Index: trunk/SophyaProg/PMixer/programs
===================================================================
--- trunk/SophyaProg/PMixer/programs	(revision 960)
+++ trunk/SophyaProg/PMixer/programs	(revision 961)
@@ -4,2 +4,3 @@
 tgsky tgsky.o
 easyTest easyTest.o
+Sph2Sph Sph2Sph.o