Index: trunk/SophyaLib/Mgr/Makefile
===================================================================
--- trunk/SophyaLib/Mgr/Makefile	(revision 962)
+++ trunk/SophyaLib/Mgr/Makefile	(revision 968)
@@ -16,6 +16,27 @@
 
 cxxlibs:  SysTools TArray NTools HiStats SkyMap Samba SkyT
- 
+
 cxxextlibs:  FitsIOServer IFFTW LinAlg
+
+#--- Create directory and copy includes for install
+depend:
+ifdef DPCDEVREP
+ifdef EROSCXX
+	@echo "Sophya will be installed under:"
+	@echo "  $(DPCDEVREP)/Include" 
+	@echo "  $(DPCDEVREP)/`uname`-$(EROSCXX)" 
+	if [ -d Mgr ] ; then cd Mgr; \
+	./crerep_sophya $(DPCDEVREP) $(EROSCXX); \
+	./makefileuser.csh; \
+	./mkmflien -copy ; \
+	fi
+else
+	@echo "Variable EROSCXX must be define with setenv"
+endif
+else
+	@echo "Variable DPCDEVREP must be define with setenv"
+endif
+#--------------------------------------------------------------------
+
 .PHONY:  SysTools
 SysTools:
Index: trunk/SophyaLib/Mgr/Makefile.slb
===================================================================
--- trunk/SophyaLib/Mgr/Makefile.slb	(revision 962)
+++ trunk/SophyaLib/Mgr/Makefile.slb	(revision 968)
@@ -95,5 +95,5 @@
   override LIBLSHL := $(LIBLSHL) -ldl
   override TILSHL := 
-  override LIBXPIPATH := -L/usr/X11/lib 
+  override LIBXPIPATH := -L/usr/X11/lib -L/usr/X11R6/lib
   override LIBXPILIST := -lXm -lXt -lXext -lX11
 endif
Index: trunk/SophyaLib/Mgr/crerep_peida
===================================================================
--- trunk/SophyaLib/Mgr/crerep_peida	(revision 962)
+++ 	(revision )
@@ -1,50 +1,0 @@
-#!/bin/csh
-
-if( $#argv < 1 ) then
-  echo "crerep_peida <nom des repertoires> [nom_machine-compilateur]"
-  echo " - ex: crerep_peida "\$"GROUP_DIR/PeidaWork HP-UX"
-  echo " - possibilites nom_machine-compilateur"
-  echo "    [AIX-xlC AIX-g++ HP-UX-aCC HP-UX-g++ OSF1-cxx OSF1-g++ Linux-g++ ...]"
-  if($?EROSCXX) then
-    echo "    defaut: `uname`-$EROSCXX"
-  else
-    echo "    pas de defaut donnez explicitement nom_machine-compilateur"
-  endif
-  exit -1
-endif
-
-set dirl = $1
-if ( ! -e ${dirl} ) then
-  echo ATTENTION REPERTOIRE INEXISTANT:
-  echo ${dirl}
-  exit -1
-endif
-echo "rep. de base: ${dirl}"
-
-shift
-if( $#argv > 0 ) then
-  set diru = $1
-  echo "machine-compilateur: ${diru}"
-else if ($?EROSCXX) then
-  echo uname=`uname` EROSCXX = $EROSCXX
-  set diru = `uname`-$EROSCXX
-  echo "AUTOMATIQUE machine-compilateur: ${diru}"
-else
-  echo "precisez nom_machine-compilateur ou EROSCXX"
-  exit -1
-endif
-
-foreach d ( ${dirl}/${diru} \
-            ${dirl}/Include \
-            ${dirl}/${diru}/Exec \
-            ${dirl}/${diru}/Libs ${dirl}/${diru}/ShLibs \
-            ${dirl}/${diru}/Objs )
-  if ( -e $d ) then
-    echo "rep. existant: $d"
-  else
-    echo "rep. cree: $d"
-    mkdir $d
-  endif
-end
-
-exit 0
Index: trunk/SophyaLib/Mgr/crerep_sophya
===================================================================
--- trunk/SophyaLib/Mgr/crerep_sophya	(revision 968)
+++ trunk/SophyaLib/Mgr/crerep_sophya	(revision 968)
@@ -0,0 +1,51 @@
+#!/bin/csh
+
+if( $#argv < 1 ) then
+  echo "crerep_sophya <nom des repertoires> [nom_machine-compilateur]"
+  echo " - ex: crerep_sophya "\$"GROUP_DIR/PeidaWork HP-UX"
+  echo " - possibilites nom_machine-compilateur"
+  echo "    [AIX-xlC AIX-g++ HP-UX-aCC HP-UX-g++ OSF1-cxx OSF1-g++ Linux-g++ ...]"
+  if($?EROSCXX) then
+    echo "    defaut: `uname`-$EROSCXX"
+  else
+    echo "    pas de defaut donnez explicitement nom_machine-compilateur"
+  endif
+  exit -1
+endif
+
+set dirl = $1
+if ( ! -e ${dirl} ) then
+  echo ATTENTION REPERTOIRE INEXISTANT:
+  echo ${dirl}
+  exit -1
+endif
+echo "rep. de base: ${dirl}"
+
+shift
+if( $#argv > 0 ) then
+  set diru = $1
+  echo "machine-compilateur: ${diru}"
+else if ($?EROSCXX) then
+  echo uname=`uname` EROSCXX = $EROSCXX
+  set diru = `uname`-$EROSCXX
+  echo "AUTOMATIQUE machine-compilateur: ${diru}"
+else
+  echo "precisez nom_machine-compilateur ou EROSCXX"
+  exit -1
+endif
+
+foreach d ( ${dirl}/${diru} \
+            ${dirl}/Include \
+            ${dirl}/${diru}/Exec \
+            ${dirl}/${diru}/Libs ${dirl}/${diru}/ShLibs \
+            ${dirl}/${diru}/Objs )
+  if ( -e $d ) then
+    echo "rep. existant: $d"
+  else
+    echo "rep. cree: $d"
+    mkdir $d
+  endif
+end
+
+exit 0
+
Index: trunk/SophyaLib/Mgr/install_peida
===================================================================
--- trunk/SophyaLib/Mgr/install_peida	(revision 962)
+++ 	(revision )
@@ -1,122 +1,0 @@
-#!/bin/csh
-#  Script d'installation SOPHYA 
-#  Version preliminaire - Reza 27/11/97 +cmv
-
-if( "$1" == "-h" ) then
-  echo "install_peida <-s repertoire source> <-d repertoire destination>"
-  echo "              [-m nom_machine-compilateur]"
-  if($?DPCDEVREP) then
-    echo " - defaut repertoire source: $DPCDEVREP"
-  else
-    echo "   pas de defaut donnez explicitement le repertoire source"
-  endif
-  if($?DPCBASEREP) then
-    echo " - defaut repertoire destination: $DPCBASEREP"
-  else
-    echo "   pas de defaut donnez explicitement le repertoire destination"
-  endif
-  echo " - possibilites nom_machine-compilateur"
-  echo "    [AIX-xlC AIX-g++ HP-UX-aCC HP-UX-g++ OSF1-cxx OSF1-g++  Linux-g++ ...]"
-  if($?EROSCXX) then
-    echo "    defaut: `uname`-$EROSCXX"
-  else
-    echo "    pas de defaut donnez explicitement nom_machine-compilateur"
-  endif
-  exit -1
-endif
-
-unset srcdir
-unset dstdir
-unset macomp
-
-while( $#argv > 1 )
-  if( "$1" == "-s" ) then
-    set srcdir = $2
-  endif
-  if( "$1" == "-d" ) then
-    set dstdir = $2
-  endif
-  if( "$1" == "-m" ) then
-    set macomp = $2
-  endif
-  shift
-  shift
-end
-
-if( ! $?srcdir && $?DPCDEVREP ) then
-  echo "defaut srcdir set to DPCDEVREP"
-  set srcdir = $DPCDEVREP
-endif
-if( ! $?dstdir && $?DPCBASEREP ) then
-  echo "defaut dstdir set to DPCBASEREP"
-  set dstdir = $DPCBASEREP
-endif
-if( ! $?macomp && $?EROSCXX ) then
-  echo "defaut macomp set to uname-EROSCXX"
-  set macomp = `uname`-$EROSCXX
-endif
-
-if( ! $?srcdir || ! $?dstdir || ! $?macomp ) then
-  echo "precisez ce que vous voulez:"
-  echo srcdir=$?srcdir dstdir=$?dstdir macomp=$?macomp
-  exit -1
-else
-  set SRC = $srcdir/$macomp
-  set DST = $dstdir/$macomp
-  echo "************** SOPHYA_Install script : ****************** "
-  echo "copie de $srcdir"
-  echo "      vers $dstdir pour $macomp"
-  echo "      pour $macomp"
-  # echo "SRC= $SRC , DST= $DST"
-  echo "********************************************************"
-endif
-
-#set DO = echo
-set DO =
-
-# d'abord les includes
-#foreach d ( Include Include/tnt Include/CInc Include/SystCxx Include/Syst )
-foreach d ( Include  Include/ArchTOI )
-  echo "SOPHYA_Install: Installing $d ... "
-  if( ! -e $srcdir/$d ) then
-    echo "rep. inexistant: $SRC/$d"
-#  else  if( ! -e $dstdir/$d ) then
-#    echo "rep. inexistant: $DST/$d"
-#    endif
-  else
-    if( ! -e $dstdir/$d ) then
-	echo "rep. inexistant: $dstdir/$d -> mkdir"
-	mkdir $dstdir/$d
-    endif
-    cd $srcdir/$d
-    $DO cp * $dstdir/$d/
-    $DO chmod -R a+r $dstdir/$d/
-  endif
-end
-
-# puis le reste
-foreach d ( Libs ShLibs Exec )
-  echo "SOPHYA_Install: Installing $d ... "
-  if( ! -e $SRC/$d ) then
-    echo "rep. inexistant: $SRC/$d"
-  else if( ! -e $DST/$d ) then
-    echo "rep. inexistant: $DST/$d"
-  else
-    if( "$d" == "Exec" ) then
-      foreach f ( scanppf tobjio tspm tspm2 spiapp tgsky tgrsr skymixer )
-        if( -e $SRC/$d/$f ) then
-          $DO cp $SRC/$d/$f $DST/$d/.
-        endif
-      end
-      $DO chmod -R a+x $DST/$d/
-    else
-      cd $SRC/$d/.
-      $DO cp * $DST/$d/.
-    endif
-    $DO chmod -R a+r $DST/$d/
-  endif
-end
-
-echo 'SOPHYA_Install complete'
-
-exit 0
Index: trunk/SophyaLib/Mgr/install_sophya
===================================================================
--- trunk/SophyaLib/Mgr/install_sophya	(revision 968)
+++ trunk/SophyaLib/Mgr/install_sophya	(revision 968)
@@ -0,0 +1,122 @@
+#!/bin/csh
+#  Script d'installation SOPHYA 
+#  Version preliminaire - Reza 27/11/97 +cmv
+
+if( "$1" == "-h" ) then
+  echo "install_sophya <-s repertoire source> <-d repertoire destination>"
+  echo "              [-m nom_machine-compilateur]"
+  if($?DPCDEVREP) then
+    echo " - defaut repertoire source: $DPCDEVREP"
+  else
+    echo "   pas de defaut donnez explicitement le repertoire source"
+  endif
+  if($?DPCBASEREP) then
+    echo " - defaut repertoire destination: $DPCBASEREP"
+  else
+    echo "   pas de defaut donnez explicitement le repertoire destination"
+  endif
+  echo " - possibilites nom_machine-compilateur"
+  echo "    [AIX-xlC AIX-g++ HP-UX-aCC HP-UX-g++ OSF1-cxx OSF1-g++  Linux-g++ ...]"
+  if($?EROSCXX) then
+    echo "    defaut: `uname`-$EROSCXX"
+  else
+    echo "    pas de defaut donnez explicitement nom_machine-compilateur"
+  endif
+  exit -1
+endif
+
+unset srcdir
+unset dstdir
+unset macomp
+
+while( $#argv > 1 )
+  if( "$1" == "-s" ) then
+    set srcdir = $2
+  endif
+  if( "$1" == "-d" ) then
+    set dstdir = $2
+  endif
+  if( "$1" == "-m" ) then
+    set macomp = $2
+  endif
+  shift
+  shift
+end
+
+if( ! $?srcdir && $?DPCDEVREP ) then
+  echo "defaut srcdir set to DPCDEVREP"
+  set srcdir = $DPCDEVREP
+endif
+if( ! $?dstdir && $?DPCBASEREP ) then
+  echo "defaut dstdir set to DPCBASEREP"
+  set dstdir = $DPCBASEREP
+endif
+if( ! $?macomp && $?EROSCXX ) then
+  echo "defaut macomp set to uname-EROSCXX"
+  set macomp = `uname`-$EROSCXX
+endif
+
+if( ! $?srcdir || ! $?dstdir || ! $?macomp ) then
+  echo "precisez ce que vous voulez:"
+  echo srcdir=$?srcdir dstdir=$?dstdir macomp=$?macomp
+  exit -1
+else
+  set SRC = $srcdir/$macomp
+  set DST = $dstdir/$macomp
+  echo "************** SOPHYA_Install script : ****************** "
+  echo "copie de $srcdir"
+  echo "      vers $dstdir pour $macomp"
+  echo "      pour $macomp"
+  # echo "SRC= $SRC , DST= $DST"
+  echo "********************************************************"
+endif
+
+#set DO = echo
+set DO =
+
+# d'abord les includes
+#foreach d ( Include Include/tnt Include/CInc Include/SystCxx Include/Syst )
+foreach d ( Include  Include/ArchTOI )
+  echo "SOPHYA_Install: Installing $d ... "
+  if( ! -e $srcdir/$d ) then
+    echo "rep. inexistant: $SRC/$d"
+#  else  if( ! -e $dstdir/$d ) then
+#    echo "rep. inexistant: $DST/$d"
+#    endif
+  else
+    if( ! -e $dstdir/$d ) then
+	echo "rep. inexistant: $dstdir/$d -> mkdir"
+	mkdir $dstdir/$d
+    endif
+    cd $srcdir/$d
+    $DO cp * $dstdir/$d/
+    $DO chmod -R a+r $dstdir/$d/
+  endif
+end
+
+# puis le reste
+foreach d ( Libs ShLibs Exec )
+  echo "SOPHYA_Install: Installing $d ... "
+  if( ! -e $SRC/$d ) then
+    echo "rep. inexistant: $SRC/$d"
+  else if( ! -e $DST/$d ) then
+    echo "rep. inexistant: $DST/$d"
+  else
+    if( "$d" == "Exec" ) then
+      foreach f ( scanppf tobjio tspm tspm2 spiapp tgsky tgrsr skymixer )
+        if( -e $SRC/$d/$f ) then
+          $DO cp $SRC/$d/$f $DST/$d/.
+        endif
+      end
+      $DO chmod -R a+x $DST/$d/
+    else
+      cd $SRC/$d/.
+      $DO cp * $DST/$d/.
+    endif
+    $DO chmod -R a+r $DST/$d/
+  endif
+end
+
+echo 'SOPHYA_Install complete'
+
+exit 0
Index: trunk/SophyaLib/Mgr/makefileuser.csh
===================================================================
--- trunk/SophyaLib/Mgr/makefileuser.csh	(revision 968)
+++ trunk/SophyaLib/Mgr/makefileuser.csh	(revision 968)
@@ -0,0 +1,6 @@
+#!/bin/csh 
+# creation de MakefileUser.h a partir de Makefile.h
+
+echo 'makefileuser.csh: Creating MakefileUser.h'
+cat Makefile.h | awk -f makefileuser.awk >! MakefileUser.h
+cat makefileuser.inc >> MakefileUser.h
Index: trunk/SophyaLib/Mgr/makefileuser.inc
===================================================================
--- trunk/SophyaLib/Mgr/makefileuser.inc	(revision 968)
+++ trunk/SophyaLib/Mgr/makefileuser.inc	(revision 968)
@@ -0,0 +1,137 @@
+
+
+##############################################################################
+##############################################################################
+#################### include des librairies pour le link #####################
+##############################################################################
+##############################################################################
+
+###############################################################################
+# Link :                                                                      #
+# - without Shared Libraries > make NOSHLIB=y                                 #
+# - without Extern Libraries > make NOEXTLIB=y                                #
+# - without Fortan Libraries > make NOLFORT=y                                 #
+# - with PI Libraries        > make USELIBPI=y                                #
+# - with Personal Libraries  > make MYLIBS='-L/home/mylibs -lmylib1 -lmylib2' #
+###############################################################################
+
+LIBF =
+LIBS =
+ELIBF =
+ELIBS =
+SLIBF =
+MLIBS =
+
+#------------------------------------------------------#
+#------------------ Archive Libraries -----------------#
+#------------------------------------------------------#
+ifdef NOSHLIB
+
+#--------- lib sophya ---------
+LIBF := $(LIBF) $(LIB)libSysTools.a $(LIB)libNTools.a $(LIB)libTArray.a $(LIB)libHiStats.a 
+LIBF := $(LIBF) $(LIB)libSamba.a $(LIB)libSkyMap.a $(LIB)libSkyT.a
+LIBS := $(LIBS) -L$(LIB) -lSysTools -lNTools -lTArray -lHiStats -lSamba -lSkyMap -lSkyT
+
+#--------- lib sophya interface externes ---------
+ifndef NOEXTLIB
+LIBF := $(LIBF) $(LIB)libFitsIOServer.a $(LIB)libIFFTW.a $(LIB)libLinAlg.a
+LIBS := $(LIBS) -lFitsIOServer -lIFFTW -lLinAlg
+#LIBF := $(LIBF)libBlitz.a
+#LIBS := $(LIBS) -lBlitz
+endif
+
+#--------- lib piapp ---------
+ifdef USELIBPI
+LIBF := $(LIBF) $(LIB)libPI.a $(LIB)libPIext.a
+LIBS := $(LIBS) -lPI -lPIext
+endif
+
+#--------- Other Extern Libraries ---------
+ifndef NOEXTLIB
+ELIBF := $(ELIBF) $(EXTLIBPATH)libcfitsio.a $(EXTLIBPATH)libfftw.a $(EXTLIBPATH)librfftw.a
+ELIBF := $(ELIBF) $(EXTLIBPATH)liblapack.a 
+ELIBS := $(ELIBS) -L$(EXTLIBPATH) -lcfitsio -lfftw -lrfftw -llapack
+ifeq ($(MACHEROS),OSF1)
+ELIBS := $(ELIBS) -ldxml
+endif
+ifeq ($(MACHEROS),Linux)
+ELIBS := $(ELIBS) -lblas
+endif
+endif
+
+#--------- lib systeme ---------
+# librairie des instances de templates cxx Sophya
+ifeq ($(CXX),cxx)
+SLIBS := $(SLIBS) -lertcxx
+endif
+SLIBS := $(SLIBS) -lm
+# Librairies pour le fortran
+ifndef NOLFORT
+ifeq ($(MACHEROS),OSF1)
+SLIBS := $(SLIBS) -lfor
+endif
+ifeq ($(MACHEROS),Linux)
+SLIBS := $(SLIBS) -lf2c
+endif
+endif
+
+#-----------------------------------------------------#
+#------------------ Shared Libraries -----------------#
+#-----------------------------------------------------#
+else
+
+#--------- lib sophya ---------
+LIBF := $(LIBF) $(SLB)libsophya.so 
+LIBS := $(LIBS) -L$(SLB) -lsophya
+
+#--------- lib sophya interface externes ---------
+ifndef NOEXTLIB
+LIBF := $(LIBF) $(SLB)libextsophya.so 
+LIBS := $(LIBS) -lextsophya
+endif
+
+#--------- lib piapp ---------
+ifdef USELIBPI
+LIBF := $(LIBF) $(SLB)libPI.so 
+LIBS := $(LIBS) -lPI
+endif
+
+#--------- Other Extern Libraries ---------
+# ATTENTION actuellement les blabla.a sont appelees,
+# on pourrait appeller les blabla.so (EXTSLBPATH) si on les avait crees
+ifndef NOEXTLIB
+ELIBF := $(ELIBF) $(EXTLIBPATH)libcfitsio.a $(EXTLIBPATH)libfftw.a $(EXTLIBPATH)librfftw.a
+ELIBF := $(ELIBF) $(EXTLIBPATH)liblapack.a 
+ELIBS := $(ELIBS) -L$(EXTLIBPATH) -lcfitsio -lfftw -lrfftw -llapack
+ifeq ($(MACHEROS),OSF1)
+ELIBS := $(ELIBS) -ldxml
+endif
+ifeq ($(MACHEROS),Linux)
+ELIBS := $(ELIBS) -lblas
+endif
+endif
+
+#--------- lib systeme ---------
+SLIBS := $(SLIBS) -lm
+# Librairies pour le fortran
+ifndef NOLFORT
+ifeq ($(MACHEROS),OSF1)
+SLIBS := $(SLIBS) -lfor
+endif
+ifeq ($(MACHEROS),Linux)
+SLIBS := $(SLIBS) -lf2c
+endif
+endif
+
+endif
+
+#--------- PERSONAL Libraries ---------
+ifdef MYLIBS
+  MLIBS := $(MLIBS) $(MYLIBS)
+endif
+
+#--------- LIBF et LIBS ---------
+LIBF := $(LIBF) $(ELIBF)
+LIBS := $(LIBS) $(ELIBS) $(MLIBS) $(SLIBS)
+
+##############################################################################
Index: trunk/SophyaLib/Mgr/mkmf
===================================================================
--- trunk/SophyaLib/Mgr/mkmf	(revision 962)
+++ trunk/SophyaLib/Mgr/mkmf	(revision 968)
@@ -1,4 +1,4 @@
 #!/bin/csh 
-# $Id: mkmf,v 1.11 2000-04-06 09:50:06 ansari Exp $
+# $Id: mkmf,v 1.12 2000-04-21 16:32:48 ansari Exp $
 
 #  Pour debugger 
@@ -12,9 +12,10 @@
 
 # creation de MakefileUser.h a partir de Makefile.h
-echo 'mkmf: Creating MakefileUser.h'
-cat Makefile.h | awk -f makefileuser.awk >! MakefileUser.h
+chmod +x ./makefileuser.csh
+$DODBG ./makefileuser.csh
 
 # creation des liens pour les includes
 echo 'mkmf: Creating links for *.h (call mkmflien)'
+chmod +x ./mkmflien
 $DODBG ./mkmflien
 
Index: trunk/SophyaLib/Mgr/mkmflien
===================================================================
--- trunk/SophyaLib/Mgr/mkmflien	(revision 962)
+++ trunk/SophyaLib/Mgr/mkmflien	(revision 968)
@@ -1,20 +1,38 @@
-#!/bin/csh 
-# $Id: mkmflien,v 1.7 2000-04-14 14:19:21 ansari Exp $
+#!/bin/csh
+# $Id: mkmflien,v 1.8 2000-04-21 16:32:48 ansari Exp $
 
-#########################################################
-#### repertoire contenant les repertoires du code+include
-#########################################################
-pushd ../.      > /dev/null
-set src = ` pwd | sed 's?^/tmp_mnt??' `
-popd            > /dev/null
+# WARNING : mkmflien has to be runned FROM Mgr/
+# usage : mkmflien [-c] [dir_dest]
+#  -copy : includes are copied (if not they are linked)
+#  dir_dest : link/copy to dir_dest/
+#             default : $DPCDEVREP/Include
+
+#######################
+#### Decodage arguments
+#######################
+unset dst
+set cpln = "ln -sf"
+if( $?DPCDEVREP ) then
+  set dst = $DPCDEVREP/Include
+endif
+
+while( $#argv > 0 )
+  if( "$1" == "-copy" ) then
+    set cpln = "cp"
+  else
+    set dst = $1
+  endif
+  shift
+end
+
+if( ! $?dst ) then
+  echo "Variable DPCDEVREP must be set"
+  echo "OR you must give a directory for linking/copying"
+  exit -1
+endif
 
 #############################################################
 #### repertoire contenant les liens a creer pour les includes
 #############################################################
-if( $#argv >= 1 ) then
-  set dst = $1
-else
-  set dst = $DPCDEVREP/Include
-endif
 if ( ! -d $dst/ ) then
   echo repertoire $dst inconnu
@@ -22,32 +40,48 @@
 endif
 
-# Clean it up
-find $dst/. -name \* -exec rm -f {} \;
+#########################################################
+#### repertoire contenant les repertoires du code+include
+#########################################################
+pushd ../. > /dev/null
+set src = `pwd | sed 's?/tmp_mnt??'`
+set src = `echo $src | sed 's?/.automount/dapservfic/root??'`
+popd       > /dev/null
 
 #########################################################
 ### Les includes a mettre dans Include pour les Makefiles
 #########################################################
-foreach f ( $src/Mgr/Makefile.h $src/Mgr/Makefile.slb $src/Mgr/MakefileUser.h )
-  if( -e $f ) then
-    ln -sf $f $dst/
-  endif
-end
+if( -d $src/Mgr ) then
+  cd $src/Mgr/.
+  echo $cpln from Mgr
+  set FILE = ( Makefile.h Makefile.slb MakefileUser.h )
+  pushd $dst/. > /dev/null
+  rm -f $FILE
+  foreach f ( $FILE )
+    if( -e $src/Mgr/$f ) then
+      $cpln $src/Mgr/$f ./
+    endif
+  end
+  popd       > /dev/null
+endif
 
-###################################################
-####  Les includes de tnt a mettre dans Include/tnt
-###################################################
-#if( -d $dst/tnt ) then
-#  if( -d $src/tnt ) then
-#    foreach f ( $src/tnt/*.h )
-#      ln -sf $f $dst/tnt/
-#    end
-#  endif
-#endif
-
-###################################################
+#############################################
 ####  Les includes de Blitz++ lien ds Include
-###################################################
+#############################################
 if( -d $src/Blitz ) then
-  ln -sf $src/Blitz/blitz $dst/blitz
+  cd $src/Blitz/.
+  foreach d ( blitz blitz/meta blitz/array )
+    if( -d $d ) then
+      echo $cpln from Blitz/$d
+      if( ! -d $dst/$d ) mkdir $dst/$d
+      pushd $d > /dev/null
+      set FILE = ( *.h *.cc )
+      popd     > /dev/null
+      pushd $dst/$d/. > /dev/null
+      rm -f $FILE
+      $cpln $src/Blitz/$d/*.h ./
+      $cpln $src/Blitz/$d/*.cc ./
+      popd       > /dev/null
+    endif
+  end
 endif
 
@@ -55,10 +89,13 @@
 ####  Les includes du code C++ a mettre dans Include
 ####################################################
-foreach d (`cat libdirs` `cat extlibdirs` PI PIext  )
+foreach d (`cat ../Mgr/libdirs` `cat ../Mgr/extlibdirs` PI PIext  )
   if ( -d $src/$d ) then
-    echo $src/$d
-    foreach f ( $src/$d/*.h )
-      ln -sf $f $dst/
-    end
+    cd $src/$d/.
+    echo $cpln from $d
+    set FILE = ( *.h )
+    pushd $dst/. > /dev/null
+    rm -f $FILE
+    $cpln $src/$d/*.h ./
+    popd       > /dev/null
   endif
 end